6.2 has received a new "core updater" mechanism in the Install Tool. And with it, a new setting provided for hosters who want to
disable this feature. This has to be documented "somewhere" (most probably the "Installation Guide". I.e. the following:

Core Updater Tool
The Install Tool provides a tool to update the TYPO3 Core itself under "Important Actions". For this to work, the following setup is
required:

    -  Only works under Unix and MacOS (symlink support)
    -  typo3_src must be a symlink
    -  This symlink needs to be writable (and deletable) by the Webserver user
    -  Document Root needs to be writable
    -  One path above document root ("../") needs to be writable (new directories allowed to be created)
    -  "tar" command available for extracting the core package

Disabling the Core Updater

To disable the Core Updater functionality altogether (in order to avoid users using it in the Install Tool, i.e. if you have your own update
mechanism), you can set this environment variable:

TYPO3_DISABLE_CORE_UPDATER=1

For example in Apache:
SetEnv TYPO3_DISABLE_CORE_UPDATER 1

This will disable the button in the Install Tool and all related functionality in the Install Tool.

Related issues:
related to Core - Feature # 52547: ext:install Core update Resolved 2013-10-05
related to Core - Feature # 52639: ext:install Environment variable to deacti... Resolved 2013-10-09
[TASK] Document Install Tool Core Update and
"TYPO3_DISABLE_CORE_UPDATER"

TYPO3 6.2 has received a new "core updater" mechanism in the Install
Tool. With it, a new setting provided for hosters who want to disable
this feature is available. Document it!
History
#1 - 2014-03-10 09:21 - Xavier Perseguers

A note for nginx users:

server {
    listen 80;
    server_name domain;

    # Pass PHP scripts to php-fastcgi listening on port 9000
    location ~ path/to/it {
        include fastcgi_params;
        fastcgi_pass 127.0.0.1:9000;
        fastcgi_param TYPO3_DISABLE_CORE_UPDATER "1";
    }
}

#2 - 2014-04-01 19:09 - Chris topher

This would be relevant for the chapter "Upgrade" => "Install the new Source".

#3 - 2014-04-01 20:03 - Chris topher
- Assigned To set to Chris topher

#4 - 2014-04-01 20:19 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Documentation/TYPO3/Guide/Installation has been pushed to the review server.
It is available at https://review.typo3.org/29041

#5 - 2014-04-01 20:42 - Chris topher
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0db08fa3c1c1e46f12c2109e20cf771195a26b6f.
